%define upstream_name    Attribute-Util
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Assorted general utility attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Attribute/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers) >= 0.610.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Memoize)
BuildArch:  noarch

%description
When used without argument, this module provides some universally
accessible attributes of general interest as follows:
    - Abstract
    - Alias
    - Memoize
    - Method
    - SigHandler

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.70.0-6.mga6
+ Revision: 1022600
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.70.0-5.mga6
+ Revision: 943556
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 739471
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-3.mga5
+ Revision: 683557
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.70.0-2.mga4
+ Revision: 526474
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 1.70.0-1.mga4
+ Revision: 437071
- update to 1.07

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-3.mga3
+ Revision: 363219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 1.60.0-2.mga3
+ Revision: 336064
- Add patch for perl 5.16 from RT 74232

* Tue Jan 18 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 23175
- cleaning spec file
- imported package perl-Attribute-Util

